Figure - Bug #116608
2023-02-2819:56-0 00000 _CDTSO O

p.01.00..

Status: CLOSED Start date: 2023-02-28

Priority: Normal Due date:

Assignee: gbooboo_cepTsbod % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebu
Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-03-09

Test Type: ST Root cause: 00o00o0oooooooooooooo
Description

oooood

None

oooood
History

#1-2023-03-2310:38-0 00000 _CDTSOO
- File tlog_sts40x190142_002_0228115243.tar.gz added

Hiall

000 Owuser.01.00.0078.C1010 0 000050 00000000000000000

gboooooboussboOn

#2-2023-03-2311:29-CD TPM-0O0 O O

gooooooooo

02-24 13:47:46.538 1136 1226 W Watchdog: * WATCHDOG KILLING SYSTEM PROCESS: Blocked in handler on main thread (main)

02-24 13:47:46.539 1136 1226 W Watchdog: main annotated stack trace:
02-24 13:47:46.539 1136 1226 W Watchdog:
02-24 13:47:46.539 1136 1226 W Watchdog:
02-24 13:47:46.539 1136 1226 W Watchdog:
02-24 13:47:46.539 1136 1226 W Watchdog:
02-24 13:47:46.539 1136 1226 W Watchdog:

2025-07-04

- waiting to lock <0x03499ede> (a java.lang.Object)

at com.android.server.audio.MediaFocusControl.getCurrentAudioFocus(MediaFocusControl.java:802)

at com.android.server.audio.AudioService.getCurrentAudioFocus(AudioService.java:8417)
at android.media.AudioManager.isAudioFocusExclusive(AudioManager.java:3204)

at com.android.server.notification.NotificationManagerService.playSound(NotificationManagerService.java: 7676)
02-24 13:47:46.539 1445 1445 | update_engine: [libfs_mgr]GetFstabPath()fstab_path:/vendor/etc/fstab.qcom

02-24 13:47:46.539 1136 1226 W Watchdog: at
com.android.server.notification.NotificationManagerService.buzzBeepBlinkLocked(NotificationManagerService.java: 7463)

02-24 13:47:46.539 1136 1226 W Watchdog: at
com.android.server.notification.NotificationManagerService$PostNotificationRunnable.run(NotificationManagerService.java: 7097)
02-24 13:47:46.539 1136 1226 W Watchdog: - locked <0x0fa29df1> (a java.lang.Object)

02-24 13:47:46.539 1136 1226 W Watchdog: at android.os.Handler.handleCallback(Handler.java:938)

02-2413:47:46.539 1136 1226 W Watchdog: at android.os.Handler.dispatchMessage(Handler.java:99)

02-2413:47:46.539 1136 1226 W Watchdog: at android.os.Looper.loopOnce(Looper.java:201)

02-24 13:47:46.539 1136 1226 W Watchdog: at android.os.Looper.loop(Looper.java:288)

02-24 13:47:46.539 1136 1226 W Watchdog: at com.android.server.SystemServer.run(SystemServer.java:909)

02-24 13:47:46.539 1136 1226 W Watchdog: at com.android.server.SystemServer.main(SystemServer.java:616)
02-2413:47:46.540 1136 1226 W Watchdog: at java.lang.reflect. Method.invoke(Native Method)

02-24 13:47:46.540 1136 1226 W Watchdog: at com.android.internal.os.RuntimelnitsMethodAndArgsCaller.run(Runtimelnit.java:548)
02-24 13:47:46.540 1136 1226 W Watchdog: at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:987)

02-24 13:47:46.540 1136 1226 W Watchdog: * GOODBYE!

02-24 13:47:46.540 1136 1226 | Process : Sending signal. PI1D: 1136 SIG: 9

"main” prio=5 tid=1 Blocked | group="main" sCount=1 ucsCount=0 flags=1 obj=0x7216cbb8 self=0xb4000076b3849be0 | sysTid=1136 nice=-2 cgrp=default sched=0/0
handle=0x7881fc64f8 | state=S schedstat=( 4151259479 2623823968 6708 ) utm=154 stm=260 core=1 HZ=100 | stack=0x7fd818b000-0x7fd818d000 stackSize=8188KB |
held mutexes=

at com.android.server.audio.MediaFocusControl.getCurrentAudioFocus(MediaFocusControl.java:802)

- waiting to lock <0x03499ede> (a java.lang.Object) held by thread 118

at com.android.server.audio.AudioService.getCurrentAudioFocus(AudioService.java:8417)

at android.media.AudioManager.isAudioFocusExclusive(AudioManager.java:3204)

at com.android.server.notification.NotificationManagerService.playSound(NotificationManagerService.java:7676)

at com.android.server.notification.NotificationManagerService.buzzBeepBlinkLocked (NotificationManagerService.java: 7463)

at com.android.server.notification.NotificationManagerService$PostNotificationRunnable.run(NotificationManagerService.java: 7097)

- locked <0x0fa29df1> (a java.lang.Object)

at android.os.Handler.handleCallback(Handler.java:938)

at android.os.Handler.dispatchMessage(Handler.java:99)

at android.os.Looper.loopOnce(Looper.java:201)

at android.os.Looper.loop(Looper.java:288)

at com.android.server.SystemServer.run(SystemServer.java:909)

at com.android.server.SystemServer.main(SystemServer.java:616)

at java.lang.reflect. Method.invoke(Native method)

at com.android.internal.os.Runtimelnit$MethodAndArgsCaller.run(Runtimelnit.java:548)

at com.android.internal.0s.Zygotelnit. main(Zygotelnit.java:987)

"Binder:1136_4" prio=5 tid=118 Blocked | group="main" sCount=1 ucsCount=0 flags=1 obj=0x14344138 self=0xb4000076b39572d0 | sysTid=1920 nice=-10 cgrp=default
sched=0/0 handle=0x743a67ach0 | state=S schedstat=( 703336650 650765444 1590 ) utm=25 stm=44 core=6 HZ=100 | stack=0x743a583000-0x743a585000
stackSize=991KB | held mutexes=

at com.android.server.audio.PlaybackActivityMonitor.restoreVShapedPlayers(PlaybackActivityMonitor.java:628)

- waiting to lock <0x0d2282d5> (a java.lang.Object) held by thread 129

at com.android.server.audio.MediaFocusControl.restoreVShapedPlayers(MediaFocusControl.java:134)

at com.android.server.audio.FocusRequester.handleFocusGainFromRequest(FocusRequester.java:364)

at com.android.server.audio.MediaFocusControl.requestAudioFocus(MediaFocusControl.java: 1043)

- locked <0x03499ede> (a java.lang.Object)

at com.android.server.audio.AudioService.requestAudioFocus(AudioService.java:8346)

at android.media.l AudioService$Stub.onTransact(l AudioService.java:1878)

at android.os.Binder.execTransactInternal (Binder.java:1179)

at android.os.Binder.execTransact(Binder.java:1143)
#3-2023-03-2311:42-CD TPM-0 0 O

oooooooo
02-28 11:51:16.461 1499
02-28 11:51:16.505 1499

02-28 11:51:16.565 1499
02-28 11:51:16.566 1499
02-28 11:51:16.566 1499
02-28 11:51:16.566 1499
02-28 11:51:16.566 1499
02-28 11:51:16.566 1499
02-28 11:51:16.566 1499
02-28 11:51:16.566 1499

1602 E Watchdog: First set of traces taken from /data/anr/anr_2023-02-28-11-50-36-008

1602 E Watchdog: Second set of traces taken from /data/anr/anr_2023-02-28-11-51-08-866

02-28 11:51:16.552 1499 4790 | DropBoxManagerService: add tag=system_server_watchdog isTagEnabled=true flags=0x6

1602 W Watchdog: * WATCHDOG KILLING SYSTEM PROCESS: Blocked in handler on main thread (main)
1602 W Watchdog: main annotated stack trace:

1602 W Watchdog:
1602 W Watchdog:
1602 W Watchdog:
1602 W Watchdog:
1602 W Watchdog:
1602 W Watchdog:

at com.android.server.audio.MediaFocusControl.getCurrentAudioFocus(MediaFocusControl.java:802)

- waiting to lock <0x0bb40ef3> (a java.lang.Object)

at com.android.server.audio.AudioService.getCurrentAudioFocus(AudioService.java:8417)

at android.media.AudioManager.isAudioFocusExclusive(AudioManager.java:3204)

at com.android.server.notification.NotificationManagerService.playSound(NotificationManagerService.java: 7676)
at

com.android.server.notification.NotificationManagerService.buzzBeepBlinkLocked(NotificationManagerService.java: 7463)

02-28 11:51:16.566 1499 1602 W Watchdog:

at

com.android.server.notification.NotificationManagerService$PostNotificationRunnable.run(NotificationManagerService.java: 7097)

02-28 11:51:16.566 1499
02-28 11:51:16.566 1499
02-28 11:51:16.566 1499
02-28 11:51:16.566 1499
02-28 11:51:16.566 1499
02-28 11:51:16.566 1499
02-28 11:51:16.566 1499
02-28 11:51:16.566 1499
02-28 11:51:16.566 1499
02-28 11:51:16.566 1499
02-28 11:51:16.566 1499

1602 W Watchdog:
1602 W Watchdog:
1602 W Watchdog:
1602 W Watchdog:
1602 W Watchdog:
1602 W Watchdog:
1602 W Watchdog:
1602 W Watchdog:
1602 W Watchdog:
1602 W Watchdog:

- locked <0x01bedd30> (a java.lang.Object)

at android.os.Handler.handleCallback(Handler.java:938)

at android.os.Handler.dispatchMessage(Handler java:99)

at android.os.Looper.loopOnce(Looper.java:201)

at android.os.Looper.loop(Looper.java:288)

at com.android.server.SystemServer.run(SystemServer.java:909)

at com.android.server.SystemServer.main(SystemServer.java:616)

at java.lang.reflect. Method.invoke(Native Method)

at com.android.internal.os.Runtimelnit$MethodAndArgsCaller.run(Runtimelnit.java:548)

at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:987)

1602 W Watchdog: * GOODBYE!

"main" prio=5 tid=1 Blocked | group="main" sCount=1 ucsCount=0 flags=1 obj=0x7159¢fc8 self=0xb400007020e56010 | sysTid=1499 nice=-2 cgrp=default sched=0/0
handle=0x71e2e584f8 | state=S schedstat=( 1437516942 550747890 4507 ) utm=103 stm=40 core=3 HZ=100 | stack=0x7ff39b0000-0x7ff39b2000 stackSize=8188KB | held

mutexes=

at com.android.server.audio.MediaFocusControl.getCurrentAudioFocus(MediaFocusControl.java:802)
- waiting to lock <0x0bb40ef3> (a java.lang.Object) held by thread 10

at com.android.server.audio.AudioService.getCurrentAudioFocus(AudioService.java:8417)

at android.media.AudioManager.isAudioFocusExclusive(AudioManager.java:3204)

at com.android.server.notification.NotificationManagerService.playSound(NotificationManagerService.java: 7676)

at com.android.server.notification.NotificationManagerService.buzzBeepBlinkLocked(NotificationManagerService.java: 7463)

at com.android.server.notification.NotificationManagerService$PostNotificationRunnable.run(NotificationManagerService.java: 7097)

- locked <0x01bedd30> (a java.lang.Object)

at android.os.Handler.handleCallback(Handler.java:938)
at android.os.Handler.dispatchMessage(Handler.java:99)

at android.os.Looper.loopOnce(Looper.java:201)

at android.os.Looper.loop(Looper.java:288)

at com.android.server.SystemServer.run(SystemServer.java:909)

at com.android.server.SystemServer.main(SystemServer.java:616)

at java.lang.reflect. Method.invoke(Native method)

at com.android.internal.os.Runtimelnit$MethodAndArgsCaller.run(Runtimelnit.java:548)

at com.android.internal.0s.Zygotelnit. main(Zygotelnit.java:987)

"ranker" prio=>5 tid=90 Blocked | group="main" sCount=1 ucsCount=0 flags=1 obj=0x13b834f8 self=0xb400007020f2d8d0 | sysTid=1779 nice=10 cgrp=default sched=0/0
handle=0x6dd2a9dch0 | state=S schedstat=( 8679267 18263908 48 ) utm=0 stm=0 core=3 HZ=100 | stack=0x6dd299a000-0x6dd299c000 stackSize=1039KB | held

mutexes=
at com.android.server.notification.NotificationManagerService.handleRankingReconsideration(NotificationManagerService.java:8032)

- waiting to lock <0x01bedd30> (a java.lang.Object) held by thread 1

at com.android.server.notification.NotificationManagerService.access$10500(NotificationManagerService.java:335)

at com.android.server.notification.NotificationManagerService$RankingHandlerWorker.handleMessage(NotificationManagerService.java:8365)
at android.os.Handler.dispatchMessage(Handler.java:106)

at android.os.Looper.loopOnce(Looper.java:201)

at android.os.Looper.loop(Looper.java:288)

at android.os.HandlerThread.run(HandlerThread.java:67)

#4 - 2023-03-23 15:06 - CD TPM-0 0 O
- Assignee changed fromCD TPM-0 0 0 to CDFW O 0O O

oo

0000000000000000000000000000228000000000000018616603800000000000C0D0OO

frameworks/base/services/core/java/com/android/server/notification/NotificationManagerService.java

mRankingHelper.extractSignals(r); // O O 0x0bb40ef30 O 0x01bedd30C OO OO OOOOO
mRankingHelper.sort(mNotificationList);

final int position = mRankingHelper.indexOf(mNotificationList, r);

int buzzBeepBlinkLoggingCode = 0;
if (Ir.isHidden()) {
buzzBeepBlinkLoggingCode = buzzBeepBlinkLocked(r); //00 00 0x01bedd30,00 0x0bb40ef30 0 OO O OO O O

oo

gooboooooooooooooooooOooooobooooooo

#5 - 2023-03-2319:48-CDFW O OO

- Status changed from New to NEED_INFO

- Assignee changed fromCDFW O OO toO0OO0O0O DO _CDTSOO
- Need_Info changed from -- to TEST

HioO
0000000000000000o3/80boooooooo
gooooooooooooboooobooooo

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/186166

"main" prio=5 tid=1 Blocked | group="main" sCount=1 ucsCount=0 flags=1 obj=0x7159fc8 self=0xb400007020e56010 | sysTid=1499 nice=-2 cgrp=default sched=0/0
handle=0x71e2e584f8 | state=S schedstat=( 1437516942 550747890 4507 ) utm=103 stm=40 core=3 HZ=100 | stack=0x7ff39b0000-0x7ff39b2000 stackSize=8188KB | held
mutexes=

at com.android.server.audio.MediaFocusControl.getCurrentAudioFocus(MediaFocusControl.java:802)

- waiting to lock <0x0bb40ef3> (a java.lang.Object) held by thread 10

at com.android.server.audio.AudioService.getCurrentAudioFocus(AudioService.java:8417)

at android.media.AudioManager.isAudioFocusExclusive(AudioManager.java:3204) /0000000000000 0D0Oo0o0oDoOoooDoooon

at com.android.server.notification.NotificationManagerService.playSound(NotificationManagerService.java; 7676)
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/186166

at com.android.server.notification.NotificationManagerService.buzzBeepBlinkLocked(NotificationManagerService.java: 7463)

at com.android.server.notification.NotificationManagerService$PostNotificationRunnable.run(NotificationManagerService.java: 7097)
- locked <0x01bedd30> (a java.lang.Object)

at android.os.Handler.handleCallback(Handler.java:938)

at android.os.Handler.dispatchMessage(Handler.java:99)

at android.os.Looper.loopOnce(Looper.java:201)

at android.os.Looper.loop(Looper.java:288)

goOo0obo/sbOO0O0booOo0ooOooooookKOOooOOOoO
oo

#6-2023-03-2717:11-0 00000 _CDTSOO

gooOo3gnooooooooo
ftp://cdiot@192.168.87.46/Pre_figure/DailyBuild/Pre figure turbox-c2130c-lal.1-gssi12-dev/user/20230326/0013/FlatBuild HH MCE FSE.M.D.user.01.00.C102

.202303260013.zip
ooao

#7-2023-03-2818:38-0 0 0000 _CDTSO O

00 0 0O O Figure 0086
oooooooo

#8-2023-03-301856-0 0 0 000 _CDTSO O
- Assignee changed from0 0 0000 _CDTSO O toCDFW O O O

0000 O FigureD 01.00.0087.C102
goooooooo

oooooooooo

#9 - 2023-03-3113:58-CDFW O O O

- Status changed from NEED_INFO to RESOLVED

- Assignee changed fromCDFW O OO toO0OOOODO_CDTSO O
- % Done changed from 0 to 100

- Need_Info deleted (TEST)

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-09
-Rootcausesetto 1 OO0 0O O0OO0O00OOO0ODOOOODOO

#10-2023-03-3114:15-0 00000 _CDTSO O

- Status changed from RESOLVED to VERIFIED

ooboooooOooooooooo
ftp://cdiot@192.168.87.46/Pre_figure/DailyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/user/20230326/0013/FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303260013.zip
ftp://cdiot@192.168.87.46/Pre_figure/DailyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/user/20230326/0013/FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303260013.zip
ftp://cdiot@192.168.87.46/Pre_figure/DailyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/user/20230326/0013/FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303260013.zip

#11-2023-03-3114:15-0 00000 _CbTsO O
- Status changed from VERIFIED to CLOSED

#12 - 2023-04-03 20:32 - CD BSP-00 O

- Subject changed from O BSPO O EVT3O O STO O OTAD 0000000 O *#14%app0 O FOTAD D00 000000000000 todAFO OEVT3O
OsSTOOOTAOODOOOOOOO*M4%appU OFOTAD DO OOOODOOOODOOOODO

Files
tlog_215aead3_002_0224134905.tar.gz 9.88 MB 2023-02-28 0oOoOooo_cbTsoa
tlog_sts40x190142_002_0228115243.tar.gz 5.09 MB 2023-03-23 000000 _CcbTsoo
